-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.84-log


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

--
-- Add new user for squidtl
--                         

CREATE USER 'squidtl'@'localhost' IDENTIFIED BY 'secret';

--
-- Create schema squidtl
--

CREATE DATABASE IF NOT EXISTS squidtl;
USE squidtl;

--
-- Definition of table `squidtl`.`DB_Access`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Access`;
CREATE TABLE  `squidtl`.`DB_Access` (
  `ID` int(11) NOT NULL auto_increment,
  `Src` varchar(30) NOT NULL,
  `Domain` varchar(255) NOT NULL,
  `FullUrl` text NOT NULL,
  `Ident` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=latin1;

--
-- Definition of table `squidtl`.`DB_Context`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Context`;
CREATE TABLE  `squidtl`.`DB_Context` (
  `ID` varchar(16) NOT NULL,
  `Description` text NOT NULL,
  `ipRange` text NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Contesti';

--
-- Definition of table `squidtl`.`DB_Events`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Events`;
CREATE TABLE  `squidtl`.`DB_Events` (
  `ID` int(11) NOT NULL auto_increment,
  `RulesID` int(11) default NULL,
  `Src` varchar(30) NOT NULL,
  `Ident` varchar(255) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=latin1;

--
-- Definition of table `squidtl`.`DB_Groups`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Groups`;
CREATE TABLE  `squidtl`.`DB_Groups` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(255) NOT NULL,
  `Context` varchar(16) NOT NULL,
  `Description` text NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=latin1;

--
-- Definition of table `squidtl`.`DB_Rules`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Rules`;
CREATE TABLE  `squidtl`.`DB_Rules` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` varchar(30) NOT NULL,
  `Value` varchar(255) NOT NULL,
  `Action` varchar(32) NOT NULL,
  `MaxHits` int(11) NOT NULL,
  `TimeSlice` int(11) NOT NULL,
  `redirectUrl` varchar(255) NOT NULL,
  `Context` varchar(16) NOT NULL,
  `Description` text NOT NULL,
  `isActive` tinyint(1) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=latin1;


--
-- Definition of table `squidtl`.`DB_Sessions`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Sessions`;
CREATE TABLE  `squidtl`.`DB_Sessions` (
  `ID` varchar(64) NOT NULL,
  `Username` varchar(255) NOT NULL,
  `Context` varchar(16) NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `LastUpdate` timestamp NOT NULL default '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Sessioni utente';


--
-- Definition of table `squidtl`.`DB_Time`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Time`;
CREATE TABLE  `squidtl`.`DB_Time` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(32) NOT NULL,
  `Description` text NOT NULL,
  `fromHour` time NOT NULL,
  `toHour` time NOT NULL,
  `isNegate` tinyint(1) NOT NULL,
  `daysOfWeek` varchar(7) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1 COMMENT='Periods of time for rule validity';

--
-- Dumping data for table `squidtl`.`DB_Time`
--

/*!40000 ALTER TABLE `DB_Time` DISABLE KEYS */;
LOCK TABLES `DB_Time` WRITE;
INSERT INTO `squidtl`.`DB_Time` VALUES  (1,'24x7','24x7','00:00:00','23:59:00',0,'1111111'),
 (2,'WorkHours','WorkHours','08:00:00','18:00:00',0,'0111110');
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Time` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`DB_Users`
--

DROP TABLE IF EXISTS `squidtl`.`DB_Users`;
CREATE TABLE  `squidtl`.`DB_Users` (
  `Username` varchar(255) NOT NULL,
  `Password` varchar(255) NOT NULL,
  `Type` tinyint(3) NOT NULL,
  `Context` varchar(16) NOT NULL,
  `IdentifiedBy` varchar(32) NOT NULL,
  `Value` varchar(255) NOT NULL,
  `Note` text NOT NULL,
  `AddDate` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `LastLogin` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  USING BTREE (`Username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Utenti di SquidTL';

--
-- Dumping data for table `squidtl`.`DB_Users`
--

/*!40000 ALTER TABLE `DB_Users` DISABLE KEYS */;
LOCK TABLES `DB_Users` WRITE;
INSERT INTO `squidtl`.`DB_Users` VALUES  ('admin','*4ACFE3202A5FF5CF467898FC58AAB1D615029441',5,'','NONE','','Administrator','2010-04-28 11:14:41','2010-04-28 11:14:41');
UNLOCK TABLES;
/*!40000 ALTER TABLE `DB_Users` ENABLE KEYS */;


--
-- Definition of table `squidtl`.`RulesGroup`
--

DROP TABLE IF EXISTS `squidtl`.`RulesGroup`;
CREATE TABLE  `squidtl`.`RulesGroup` (
  `ID` int(11) NOT NULL auto_increment,
  `RuleID` int(11) NOT NULL,
  `GroupID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='Legame Regole-Gruppi';

--
-- Definition of table `squidtl`.`RulesTime`
--

DROP TABLE IF EXISTS `squidtl`.`RulesTime`;
CREATE TABLE  `squidtl`.`RulesTime` (
  `ID` int(11) NOT NULL auto_increment,
  `RuleID` int(11) NOT NULL,
  `TimeID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='Validità Regole/Periodo di tempo';


--
-- Definition of table `squidtl`.`UserGroup`
--

DROP TABLE IF EXISTS `squidtl`.`UserGroup`;
CREATE TABLE  `squidtl`.`UserGroup` (
  `ID` int(11) NOT NULL auto_increment,
  `UserID` varchar(255) NOT NULL,
  `GroupID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `IdxUnique` (`UserID`,`GroupID`),
  KEY `new_index` (`UserID`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1 COMMENT='Legame Utenti-Gruppi';


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
